using ProjectItCompany.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectItCompany.Repositories.Implementations;

internal class ExecutorRepository : IExecutorRepository
{
    public void CreateExecutor(Executor executor)
    {
     
    }

    public void DeleteExecutor(int id)
    {
   
    }

    public Executor ReadExecutorById(int id)
    {
        return Executor.CreateEntity(0, string.Empty, DateTime.Today, 1000, Entities.Enums.JobTitles.Developer);
    }

    public IEnumerable<Executor> ReadExecutors()
    {
        return [];
    }

    public void UpdateExecutor(Executor executor)
    {
    
    }
}
